Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.deployment.jboss
Class ServerDeployer

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.deployment.SubDeployerSupport
                  org.jboss.portal.server.deployment.jboss.ServerDeployer

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.deployment.SubDeployer, org.jboss.deployment.SubDeployerExt, org.jboss.deployment.SubDeployerExtMBean, org.jboss.deployment.SubDeployerMBean, ServerDeployerMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class ServerDeployer

extends org.jboss.deployment.SubDeployerSupport
implements ServerDeployerMBean

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.deployment.SubDeployerSupport
`org.jboss.deployment.SubDeployerSupport.ClassConfiguration`

Field Summary

Fields inherited from class org.jboss.deployment.SubDeployerSupport
`CONFIGURATION, enhancedSuffixes, mainDeployer, nativePrefix, nativeSuffix, relativeOrder, suffixes, tempDeployDir`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Fields inherited from interface org.jboss.deployment.SubDeployer
`CREATE_NOTIFICATION, DESTROY_NOTIFICATION, INIT_NOTIFICATION, RELATIVE_ORDER_100, RELATIVE_ORDER_200, RELATIVE_ORDER_300, RELATIVE_ORDER_400, RELATIVE_ORDER_500, RELATIVE_ORDER_600, RELATIVE_ORDER_700, RELATIVE_ORDER_800, RELATIVE_ORDER_900, START_NOTIFICATION, STOP_NOTIFICATION`

Constructor Summary
`ServerDeployer()`

Method Summary
`boolean` | `accepts(org.jboss.deployment.DeploymentInfo di)` This should never be called for server deployment.
`void` | `create(org.jboss.deployment.DeploymentInfo di)`
`void` | `deploy(PortalWebApp pwa)`
`void` | `destroy(org.jboss.deployment.DeploymentInfo di)`
`DeploymentFactory` | `findFactory(java.net.URL url)` Locate a deployment info factory based on the url.
`ServerDeployer` | `getDeployer()`
`java.util.Set` | `getFactories()`
`Server` | `getPortalServer()`
`protected void` | `processNestedDeployments(org.jboss.deployment.DeploymentInfo di)`
`void` | `registerFactory(java.lang.String name, org.jboss.portal.common.net.URLFilter filter, DeploymentFactory factory, java.net.URL setupURL)`
`void` | `setPortalServer(Server portalServer)`
`void` | `start(org.jboss.deployment.DeploymentInfo di)`
`void` | `stop(org.jboss.deployment.DeploymentInfo di)`
`void` | `undeploy(PortalWebApp pwa)`
`void` | `unregisterFactory(java.lang.String name)`

Methods inherited from class org.jboss.deployment.SubDeployerSupport
`addDeployableFiles, addDeployableJar, createService, deployUrl, destroyService, emitNotification, getEnhancedSuffixes, getRelativeOrder, getSuffixes, init, isDeployable, setEnhancedSuffixes, setRelativeOrder, setSuffixes, startService, stopService`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.deployment.SubDeployerMBean
`getRelativeOrder, getServiceName, getSuffixes, init`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface org.jboss.deployment.SubDeployer
`getServiceName`

Constructor Detail

### ServerDeployer

    public ServerDeployer()

Method Detail

### getFactories

    public java.util.Set getFactories()

  Specified by:
    `getFactories` in interface `ServerDeployerMBean`

### accepts

    public boolean accepts(org.jboss.deployment.DeploymentInfo di)

  This should never be called for server deployment.

  Specified by:
    `accepts` in interface `org.jboss.deployment.SubDeployer`
  Specified by:
    `accepts` in interface `org.jboss.deployment.SubDeployerMBean`
  Overrides:
    `accepts` in class `org.jboss.deployment.SubDeployerSupport`

### getPortalServer

    public Server getPortalServer()

  Specified by:
    `getPortalServer` in interface `ServerDeployerMBean`

### setPortalServer

    public void setPortalServer(Server portalServer)

  Specified by:
    `setPortalServer` in interface `ServerDeployerMBean`

### getDeployer

    public ServerDeployer getDeployer()

  Specified by:
    `getDeployer` in interface `ServerDeployerMBean`

### registerFactory

    public void registerFactory(java.lang.String name,
                                org.jboss.portal.common.net.URLFilter filter,
                                DeploymentFactory factory,
                                java.net.URL setupURL)

  Specified by:
    `registerFactory` in interface `ServerDeployerMBean`
  Parameters:
    `name` - the factory name
    `filter` - filter urls
    `factory` - create deployment
    `setupURL` - an optional setup URL

### unregisterFactory

    public void unregisterFactory(java.lang.String name)

  Specified by:
    `unregisterFactory` in interface `ServerDeployerMBean`
  Parameters:
    `name` - the factory name to unregister

### processNestedDeployments

    protected void processNestedDeployments(org.jboss.deployment.DeploymentInfo di)
                                     throws org.jboss.deployment.DeploymentException

  Overrides:
    `processNestedDeployments` in class `org.jboss.deployment.SubDeployerSupport`
  Throws:
    `org.jboss.deployment.DeploymentException`

### findFactory

    public DeploymentFactory findFactory(java.net.URL url)

  Description copied from interface: `ServerDeployerMBean`
  Locate a deployment info factory based on the url. If no factory is found it returns null.

  Specified by:
    `findFactory` in interface `ServerDeployerMBean`

### create

    public void create(org.jboss.deployment.DeploymentInfo di)
                throws org.jboss.deployment.DeploymentException

  Specified by:
    `create` in interface `org.jboss.deployment.SubDeployer`
  Specified by:
    `create` in interface `org.jboss.deployment.SubDeployerMBean`
  Overrides:
    `create` in class `org.jboss.deployment.SubDeployerSupport`
  Throws:
    `org.jboss.deployment.DeploymentException`

### start

    public void start(org.jboss.deployment.DeploymentInfo di)
               throws org.jboss.deployment.DeploymentException

  Specified by:
    `start` in interface `org.jboss.deployment.SubDeployer`
  Specified by:
    `start` in interface `org.jboss.deployment.SubDeployerMBean`
  Overrides:
    `start` in class `org.jboss.deployment.SubDeployerSupport`
  Throws:
    `org.jboss.deployment.DeploymentException`

### stop

    public void stop(org.jboss.deployment.DeploymentInfo di)
              throws org.jboss.deployment.DeploymentException

  Specified by:
    `stop` in interface `org.jboss.deployment.SubDeployer`
  Specified by:
    `stop` in interface `org.jboss.deployment.SubDeployerMBean`
  Overrides:
    `stop` in class `org.jboss.deployment.SubDeployerSupport`
  Throws:
    `org.jboss.deployment.DeploymentException`

### destroy

    public void destroy(org.jboss.deployment.DeploymentInfo di)
                 throws org.jboss.deployment.DeploymentException

  Specified by:
    `destroy` in interface `org.jboss.deployment.SubDeployer`
  Specified by:
    `destroy` in interface `org.jboss.deployment.SubDeployerMBean`
  Overrides:
    `destroy` in class `org.jboss.deployment.SubDeployerSupport`
  Throws:
    `org.jboss.deployment.DeploymentException`

### deploy

    public void deploy(PortalWebApp pwa)
                throws org.jboss.deployment.DeploymentException

  Specified by:
    `deploy` in interface `ServerDeployerMBean`
  Throws:
    `org.jboss.deployment.DeploymentException`

### undeploy

    public void undeploy(PortalWebApp pwa)
                  throws org.jboss.deployment.DeploymentException

  Specified by:
    `undeploy` in interface `ServerDeployerMBean`
  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD